Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/32470/?format=api
{ "ob_id": 32470, "uuid": "fe3cb5120fa74fa7974820c2e2a238a7", "title": "Global Ocean Lagrangian Trajectories based on AVISO velocities, v2.0, 1998-2018", "abstract": "The National Centre for Earth Observation (NCEO) Long Term Science Single Centre (LTSS) Global Ocean Lagrangian Trajectories (OLTraj) provides 30-day forward and backward Lagrangian trajectories based on AVISO (Satellite Altimetry Data project) surface velocities. Each trajectory represents the path that a water mass would move along starting at a given pixel and a given day. OLTraj can be thus used to implement analyses of oceanic data in a Lagrangian framework. The purpose of OLTraj is to allow non-specialists to conduct Lagrangian analyses of surface ocean data.\r\n\r\nThe dataset has global coverage and spans 1998-2018 with a daily temporal resolution. The trajectories were generated starting from zonal and meridional model velocity fields that were integrated using the LAMTA (6-hour time step - part of ) as described in Nencioli et al., 2018 and SPASSO (Software package for and adaptive satellite-based sampling for ocean graphic cruises containing LAMTA) software user guide. Please see the documentation section below for further information.", "keywords": "AVISO, Global, Ocean Lagrangian Trajectories, LAMTA, zonal, meridional model, OLTraj_SEALEVEL_GLO_PHY_L4_REP_OBSERVATIONS_008_047", "publicationState": "citable", "dataPublishedTime": "2021-05-06T09:35:10", "doiPublishedTime": "2021-05-10T15:47:54", "updateFrequency": "", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/32471/?format=api", "dataPath": "/neodc/oltraj/data/v2.0", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1789609906795, "numberOfFiles": 8401, "fileFormat": "NetCDF" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/8690/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2687/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/4385/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/18405/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/18408/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/30129/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/30130/?format=api" ], "dataLineage": "Data were produced by the NCEO Plymouth Marine Laboratory project team and supplied for archiving at the Centre for Environmental Data Analysis (CEDA).", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/10866/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/5002/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30127/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/144555/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/144556/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/144554/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/144549/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/144550/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/144551/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/144552/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/144553/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/144557/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/32472/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2528/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://creativecommons.org/licenses/by/4.0/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }